/* ScriptDelegate.qml  -- Script delegate class for Scriptomatix */
/*
   Copyright (C) 2007-2018 Bruno ANSELME <be.root@free.fr>

   This file is part of the Scriptomatix software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.4

Component {
    Item {
        property string cmd:      command
        property string args:     params
        property bool   showtty:  tty
        property string helptext: help
        property string myicon:   icon
        property alias  label:    label.text
        width: sx_scriptview.cellWidth
        height: sx_scriptview.cellHeight
        Image {
            id: scripticon
            width: 48
            height: 48
            anchors.horizontalCenter: parent.horizontalCenter
            source: (myicon.match(/^\//)) ? "file:/"+myicon : "file://"+sx_scriptpath+"/"+myicon; // absolute or relative path
        }
        Text {
            id: label
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: scripticon.bottom
            text: description
            font.pixelSize: 11
        }
        MouseArea {
            anchors.fill: parent
            hoverEnabled: true
            onEntered: updateHelp(parent); // Help on mouse enter
            onExited: {
                sx_helpmesg.text = "";
                sx_helpmesg.visible = false;
            }
        }
    }
}
