#!/usr/bin/perl
# Update debian file .dsc with md5sum and file size.
# Bruno ANSELME - Nov 2016
###########################

package Args;
use strict;
use warnings;

my $tarfile = $ARGV[0];
my $target  = $ARGV[1];
my $version = $ARGV[2];

my @words = split(/ /, `md5sum $tarfile`);
my $md5sum = $words[0];
@words = split(/ /, `ls -l $tarfile`);
my $size = $words[4];

open FILE, "$target.dsc" or die $!;
my @lines = <FILE>;
close(FILE);

for my $l (@lines) {
  if ($l =~ /.*$target-$version.tar.gz.*/i) {
    $l = " $md5sum $size $target-$version.tar.gz\n";
  }
  elsif ($l =~ /Version:.*/i) {
    $l = "Version: $version\n";
  }
}


open FILE, ">$target.dsc" or die $!;
for my $l (@lines) {
  print FILE "$l";
}
close(FILE);
