# Open Build Service spec file
# Packager: Bruno ANSELME - be.root@free.fr
Name: scriptomatix
Summary: Qml based Script launcher
Version: 1.2.3
License: GPL-3.0
Group: Text tools
BuildRoot: %{_tmppath}/build-root-%{name}
Source0: http://be.root.free.fr/soft/%{name}/%{name}-%{version}.tar.gz
Url: http://be.root.free.fr

%if 0%{?fedora_version}
Release: 1
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtquickcontrols
BuildRequires:  qt-x11
BuildRequires:  desktop-file-utils
Requires: qt5-qtdeclarative
Requires: qt5-qtquickcontrols
Requires: desktop-file-utils
%define qmake /usr/bin/qmake-qt5
%endif

%if 0%{?suse_version}
Release: 1
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  qt-x11
BuildRequires:  update-desktop-files
Requires: desktop-file-utils
%define qmake /usr/bin/qmake-qt5
%endif

%if 0%{?mageia}
Release: %mkrel 1
%ifarch x86_64
%define _bit %(getconf LONG_BIT)
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64sane1
BuildRequires: lib64proxy-webkit
Requires: lib64qt5quick5
Requires: lib64qt5widgets5
%else
BuildRequires: libqt5quick-devel
BuildRequires: libqt5widgets-devel
BuildRequires: libsane1
BuildRequires: libproxy-webkit
Requires: libqt5quick5
Requires: libqt5widgets5
%endif
%define qmake /usr/bin/qmake
%endif

%description
Script launcher for Unix systems. Based on Qt/Qml framework (http://doc.qt.io/qt-5/).
Each script is displayed with an icon, a title and optional parameters pannel.
Scripts sets are easily customizable.
Oct 2015/Mar 2018

%global debug_package %{nil}

%prep

%setup -q

%build
%qmake
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
make -j4

%install
make install INSTALL_ROOT=%{buildroot}
%if 0%{?suse_version}
  %suse_update_desktop_file -r %{name} Utility DesktopUtility
%endif

# After install
%post
desktop-file-install %{_datadir}/applications/%{name}.desktop

# Before uninstall
%preun

# After uninstall
%postun

%clean
rm -rf "%{buildroot}"

# Files installed by make install need to be removed. Give a list here.
%files
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/examples
%dir %{_datadir}/%{name}/icons
%dir %{_datadir}/%{name}/help
%{_bindir}/%{name}
%{_datadir}/icons/%{name}*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/examples/*
%{_datadir}/%{name}/icons/*
%{_datadir}/%{name}/help/*


%changelog
* Wed Mar 28 2018 Bruno ANSELME<be.root@free.fr> 1.2.2
- New root behavior.
- Display bug when scrolling fixed.

* Thu Mar 16 2017 Bruno ANSELME<be.root@free.fr> 1.0
- Official release 1.0.

* Fri Mar 03 2017 Bruno ANSELME<be.root@free.fr> 0.99
- Spec file for OBS/mageia 5.
- License added to sources.
