/* shellenv.cpp  -- Environment variables access for Scriptomatix */
/*
   Copyright (C) 2007-2018 Bruno ANSELME <be.root@free.fr>

   This file is part of the Scriptomatix software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <unistd.h>
#include "shellenv.h"

ShellEnv::ShellEnv(QObject *parent)
    : QObject(parent)
{
}

ShellEnv::~ShellEnv()
{
}

QString ShellEnv::getVar(QString varname) const
{
    QString value = getenv(varname.toStdString().c_str());
    return value;
}

QString ShellEnv::getHostName() const
{
    char hostname[128];
    gethostname(hostname, sizeof hostname);
    return QString(hostname);
}
